# Uses of Interface
com.sun.source.doctree.ParamTree

Packages that use ParamTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ParamTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type ParamTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitParam​(ParamTree node, P p)`
Visits a ParamTree node.

## Uses of ParamTree in com.sun.source.util

Methods in com.sun.source.util that return ParamTree
Modifier and Type
Method
Description
`ParamTree`
DocTreeFactory.`newParamTree​(boolean isTypeParameter, IdentifierTree name, List<? extends DocTree> description)`
Creates a new `ParamTree` object, to represent a `@param` tag.
Methods in com.sun.source.util with parameters of type ParamTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitParam​(ParamTree node, P p)`
Visits a ParamTree node.
`R`
SimpleDocTreeVisitor.`visitParam​(ParamTree node, P p)`
Visits a ParamTree node.